Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | Properties | List of all members
CSChat Class Reference

The CSChat object provides access to conference chat related capabilities and actions. More...

`#import <CSChat.h>`

Inherits NSObject.

## Instance Methods
(void) | - sendPrivateMessage:toParticipant:completionHandler:
| Sends private chat message to given participant. More...
(void) | - sendPublicMessage:completionHandler:
| Sends public chat message which can be seen by all conference participant. More...
(void) | - getChatParticipantsWithCompletionHandler:
| Return the participant list associated with the chat. More...

## Properties
id< CSChatDelegate > | delegate
| The delegate used to handle chat-related events. More...
NSArray * | allMessages
| An array of CSChatMessage objects representing the list of all messages in the chat. More...
NSArray * | publicMessages
| An array of CSChatMessage objects representing the list of public messages in the chat. More...
NSArray * | privateMessages
| An array of CSChatMessage objects representing the list of private messages in the chat. More...
CSDataSet * | allChatMessages
| CSDataSet object indicating the all chat messages. More...
CSDataSet * | privateChatMessages
| CSDataSet object indicating the private chat messages. More...
CSDataSet * | publicChatMessages
| CSDataSet object indicating the public chat messages. More...

## Detailed Description

The CSChat object provides access to conference chat related capabilities and actions.

The CSChat object is accessible via CSConference and CSCollaboration. Client is notified about status updates concerning conference chat via CSChatDelegate object.

See also
  CSChatDelegate
  CSCollaboration
  CSConference

## Method Documentation

- (void) getChatParticipantsWithCompletionHandler: |  | (void(^)(NSArray *participantList)) | handler |

Return the participant list associated with the chat.

Parameters

  handler | A block to be called when the operation is completed. `participantList` If the operation was successful this parameter contains list of collaboration participants otherwise it is empty.

- (void) sendPrivateMessage: |  | (NSString *) | message
toParticipant: |  | (CSParticipant *) | participant
completionHandler: |  | (void(^)(NSError *error)) | handler

Sends private chat message to given participant.

Client is notified about successful operation also by CSChatDelegate apart from completion handler.

Parameters

  message | Message to be sent.
  participant | Receiver of private message.
  handler | A block to be called when the operation is completed. `error` If the operation was successful this parameter is nil. If an error occurred it contains an object describing the error.

See also
  CSChat::sendPublicMessage:toParticipant:completionHandler:
  CSChatDelegate

- (void) sendPublicMessage: |  | (NSString *) | message
completionHandler: |  | (void(^)(NSError *error)) | handler

Sends public chat message which can be seen by all conference participant.

Client is notified about successful operation also by CSChatDelegate apart from completion handler.

Parameters

  message | Message to be sent.
  handler | A block to be called when the operation is completed. `error` If the operation was successful this parameter is nil. If an error occurred it contains an object describing the error. `message` If the operation was successful this parameter contains sent message.

See also
  - sendPrivateMessage:toParticipant:completionHandler:
  CSChatDelegate

## Property Documentation

- (CSDataSet*) allChatMessages
| read nonatomic assign

CSDataSet object indicating the all chat messages.

Deprecated:
  Use the allMessages property instead.

- (NSArray*) allMessages
| read atomic copy

An array of CSChatMessage objects representing the list of all messages in the chat.

The returned array is a snapshot in time and is not dynamically updated as the list changes. Updates to the message list (add, remove or update) are reported through the CSChatDelegate via the: CSChatDelegate::chat:allMessagesDidChange:changedMessages:

See also
  CSChat::publicMessages
  CSChat::privateMessages

- (id<CSChatDelegate>) delegate
| read write nonatomic weak

The delegate used to handle chat-related events.

- (CSDataSet*) privateChatMessages
| read nonatomic assign

CSDataSet object indicating the private chat messages.

Deprecated:
  Use the privateMessages property instead.

- (NSArray*) privateMessages
| read atomic copy

An array of CSChatMessage objects representing the list of private messages in the chat.

The returned array is a snapshot of prvaite meassages in time and is not dynamically updated as the list changes. Updates to the message list (add, remove or update) are reported through the CSChatDelegate via the privateMessagesDidChange message.

See also
  CSChat::allMessages
  CSChat::publicMessages

- (CSDataSet*) publicChatMessages
| read nonatomic assign

CSDataSet object indicating the public chat messages.

Deprecated:
  Use the publicMessages property instead.

- (NSArray*) publicMessages
| read atomic copy

An array of CSChatMessage objects representing the list of public messages in the chat.

The returned array is a snapshot of public chat messages in time and is not dynamically updated as the list changes. Updates to the message list (add, remove or update) are reported through the CSChatDelegate via the publicMessagesDidChange message.

See also
  CSChat::allMessages
  CSChat::privateMessages

The documentation for this class was generated from the following file:

- CSChat.h